********************************************************************************
* Recode age at immigration                                          		   *
*      							                                               *
* Steffen Schindler, 07/05/2024                               				   *
********************************************************************************

clear
set more off
cap log close

version 16.1

use ID_t tx29005 tx29007 using "${savedta}\SC6_Basics_D_${SUF}.dta"
recode tx29005 (2=.a "immigrated, but age unknown") (1=.b "born in Germany") (.l=.c "migration status unknown"), into(migage) 
replace migage=tx29007 if tx29007<.
lab var migage "age of immigration (in years)"
ta migage tx29005, m 
drop tx29005 tx29007

compress
save "${savedta}\migage.dta", replace

exit